Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::DoubleStringsListSelectionWidget Class Reference

`#include <DoubleStringsListSelectionWidget.h>`

Inheritance diagram for tlp::DoubleStringsListSelectionWidget:
[legend]
Collaboration diagram for tlp::DoubleStringsListSelectionWidget:
[legend]

List of all members.

## Public Member Functions

- DoubleStringsListSelectionWidget (QWidget *parent=NULL, const unsigned int maxSelectedStringsListSize=NULL)
- void setUnselectedStringsList (const std::vector< std::string > &unselectedStringsList)
- void setSelectedStringsList (const std::vector< std::string > &selectedStringsList)
- void clearUnselectedStringsList ()
- void clearSelectedStringsList ()
- void setMaxSelectedStringsListSize (const unsigned int maxSelectedStringsListSize)
- std::vector< std::string > getSelectedStringsList () const
- std::vector< std::string > getUnselectedStringsList () const
- void selectAllStrings ()
- void unselectAllStrings ()
- void setUnselectedStringsListLabel (const std::string &unselectedStringsListLabel)
- void setSelectedStringsListLabel (const std::string &selectedStringsListLabel)

## Constructor & Destructor Documentation

tlp::DoubleStringsListSelectionWidget::DoubleStringsListSelectionWidget | ( | QWidget * | parent = `NULL`,
|  | const unsigned int | maxSelectedStringsListSize = `NULL`
| ) |  |

## Member Function Documentation

void tlp::DoubleStringsListSelectionWidget::clearSelectedStringsList | ( |  | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

void tlp::DoubleStringsListSelectionWidget::clearUnselectedStringsList | ( |  | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

std::vector<std::string> tlp::DoubleStringsListSelectionWidget::getSelectedStringsList | ( |  | ) | const`[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

std::vector<std::string> tlp::DoubleStringsListSelectionWidget::getUnselectedStringsList | ( |  | ) | const`[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

void tlp::DoubleStringsListSelectionWidget::selectAllStrings | ( |  | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

void tlp::DoubleStringsListSelectionWidget::setMaxSelectedStringsListSize | ( | const unsigned int | maxSelectedStringsListSize | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

void tlp::DoubleStringsListSelectionWidget::setSelectedStringsList | ( | const std::vector< std::string > & | selectedStringsList | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

void tlp::DoubleStringsListSelectionWidget::setSelectedStringsListLabel | ( | const std::string & | selectedStringsListLabel | ) |

void tlp::DoubleStringsListSelectionWidget::setUnselectedStringsList | ( | const std::vector< std::string > & | unselectedStringsList | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

void tlp::DoubleStringsListSelectionWidget::setUnselectedStringsListLabel | ( | const std::string & | unselectedStringsListLabel | ) |

void tlp::DoubleStringsListSelectionWidget::unselectAllStrings | ( |  | ) | `[virtual]`

Implements tlp::StringsListSelectionWidgetInterface.

Tulip Software by LaBRI Visualization Team 2001 - 2012